org.apache.ignite.internal.processors.igfs

## Class IgfsDeleteMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsCommunicationMessage
  - - org.apache.ignite.internal.processors.igfs.IgfsDeleteMessage

All Implemented Interfaces:
  Serializable, Message

    public class IgfsDeleteMessage
    extends IgfsCommunicationMessage

Indicates that entry scheduled for delete was actually deleted.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`IgfsDeleteMessage()` `Externalizable` support.
`IgfsDeleteMessage(IgniteUuid id)` Constructor.
`IgfsDeleteMessage(IgniteUuid id, IgniteCheckedException err)` Constructor.

### Method Summary

Methods
`short` `directType()` Gets message type.
`IgniteCheckedException` `error()`
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(Marshaller marsh, ClassLoader ldr)`
`IgniteUuid` `id()`
`void` `onAckReceived()` Method called when ack message received.
`void` `prepareMarshal(Marshaller marsh)`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsDeleteMessage

    public IgfsDeleteMessage()

`Externalizable` support.

#### IgfsDeleteMessage

    public IgfsDeleteMessage(IgniteUuid id)

Constructor.

Parameters:
  `id` - Deleted entry ID.

#### IgfsDeleteMessage

    public IgfsDeleteMessage(IgniteUuid id,
                     IgniteCheckedException err)

Constructor.

Parameters:
  `id` - Entry ID.
  `err` - Error.

### Method Detail

#### id

    public IgniteUuid id()

Returns:
  Deleted entry ID.

#### error

    public IgniteCheckedException error()

Returns:
  Error.

#### prepareMarshal

    public void prepareMarshal(Marshaller marsh)
                        throws IgniteCheckedException

Overrides:
  `prepareMarshal` in class `IgfsCommunicationMessage`
Parameters:
  `marsh` - Marshaller.
Throws:
  `IgniteCheckedException` - In case of error.

#### finishUnmarshal

    public void finishUnmarshal(Marshaller marsh,
                       @Nullable
                       ClassLoader ldr)
                         throws IgniteCheckedException

Overrides:
  `finishUnmarshal` in class `IgfsCommunicationMessage`
Parameters:
  `marsh` - Marshaller.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - In case of error.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `IgfsCommunicationMessage`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `IgfsCommunicationMessage`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `IgfsCommunicationMessage`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017